DEFINES += \
    QT_DEPRECATED_WARNINGS \
    SQLITE_THREADSAFE=2 SQLITE_ENABLE_UNLOCK_NOTIFY

win32 {
    DEFINES += _WIN32_WINNT=0x0601
    LIBS += -lws2_32 -liphlpapi -ladvapi32
    #CONFIG(debug, debug|release) {
    #    CONFIG += console
    #}
}

unix {
    LIBS += -ldl
}

*msvc {
    DEFINES += _CRT_SECURE_NO_WARNINGS FKG_FORCED_USAGE
    QMAKE_CXXFLAGS += -std:c++latest

    isEmpty(QMAKE_CFLAGS_OPTIMIZE_FULL): QMAKE_CFLAGS_OPTIMIZE_FULL = -Ox
    isEmpty(QMAKE_CXXFLAGS_OPTIMIZE_FULL): QMAKE_CXXFLAGS_OPTIMIZE_FULL = -Ox

    QMAKE_CFLAGS_RELEASE += $$QMAKE_CFLAGS_OPTIMIZE_FULL
    QMAKE_CXXFLAGS_RELEASE += $$QMAKE_CXXFLAGS_OPTIMIZE_FULL
    QMAKE_CFLAGS_RELEASE_WITH_DEBUGINFO += $$QMAKE_CFLAGS_OPTIMIZE_FULL
    QMAKE_CXXFLAGS_RELEASE_WITH_DEBUGINFO += $$QMAKE_CXXFLAGS_OPTIMIZE_FULL
}

android {
    QT += androidextras

    isEmpty(QMAKE_CFLAGS_OPTIMIZE_FULL): QMAKE_CFLAGS_OPTIMIZE_FULL = -O3
    isEmpty(QMAKE_CXXFLAGS_OPTIMIZE_FULL): QMAKE_CXXFLAGS_OPTIMIZE_FULL = -O3
}

CONFIG(release, debug|release) {
    DEFINES += NDEBUG
    CONFIG += optimize_full
}

CONFIG += resources_big c++14
